<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.sqx.modules.activity.dao.ActivityDao">


    <select id="selectByState" resultType="com.sqx.modules.activity.entity.Activity">
        select * from activity where state=#{state} order by id desc
    </select>


    <select id="selectByOrder" resultType="com.sqx.modules.activity.vo.ActivityOrderVO">
        select id,title from activity
        where id = (select activity_id from activity_part_record where 1=1
        <if test="orderId != null and orderId != ''">
        and order_id = ${orderId}
        </if>
        ) and del_flag = 0
    </select>

</mapper>
